Skip to main content
POST
/
v1
/
executions
curl --request POST \
  --url https://api.surnex.io/v1/executions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider": "dataforseo",
  "service": "serp",
  "operation_template": "/serp/{se}/{type}/live",
  "method": "POST",
  "mode": "live",
  "path_variables": {
    "se": "google",
    "type": "organic"
  },
  "request_body": {
    "keyword": "seo"
  }
}
'
{
  "execution_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "status": "queued",
  "operation": {
    "service": "serp",
    "operation_path": "/serp/google/organic/live",
    "method": "POST",
    "mode": "live"
  },
  "scope": {
    "part_type": "serp_google_organic_live",
    "snapshot_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
  },
  "provider": "dataforseo"
}

Authorizations

Authorization
string
header
required

Authorization: Bearer sk_...

Body

application/json

SurnexExecutionRequest

service
string
required
Minimum string length: 1
operation_path
string
required
Minimum string length: 1
method
enum<string>
default:POST

HTTPMethod

Available options:
GET,
POST
mode
enum<string>
default:live

DataForSeoOperationMode

Available options:
live,
task_post,
task_get,
tasks_ready,
tasks_fixed
request_body
any
request_query
object
expected_part_name
string
Required string length: 1 - 255
tags
string[]
Maximum array length: 10
Maximum string length: 64
provider
string
Minimum string length: 1

Response

Execution queued

SurnexExecutionCreatedResponse

execution_id
string<uuid>
required
status
enum<string>
required
Available options:
queued,
running,
complete,
partial,
failed
operation
object
required
scope
object
required
provider
string
required